ACOS(3) | NetBSD Library Functions Manual | ACOS(3)

# NAME

acos, acosf — arc cosine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
acos(double x);

float
acosf(float x);

# DESCRIPTION

The acos() and acosf() functions compute the principal value of the arc cosine of x in the range [0, π].

# RETURN VALUES

If |x|>1, acos(x) and acosf(x) set the global variable errno to EDOM.

# SEE ALSO

asin(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

# STANDARDS

The acos() function conforms to ANSI X3.159-1989 (“ANSI C”).

May 2, 1991 | NetBSD 5.99